<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [upgradeSkill](./bitburner.bladeburner.upgradeskill.md)

## Bladeburner.upgradeSkill() method

Upgrade skill.

**Signature:**

```typescript
upgradeSkill(skillName: BladeburnerSkillName, count?: number): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

skillName


</td><td>

[BladeburnerSkillName](./bitburner.bladeburnerskillname.md)


</td><td>

Name of skill to be upgraded. Case-sensitive and must be an exact match.


</td></tr>
<tr><td>

count


</td><td>

number


</td><td>

_(Optional)_ Number of times to upgrade the skill. Defaults to 1 if not specified.


</td></tr>
</tbody></table>

**Returns:**

boolean

true if the skill is successfully upgraded, and false otherwise.

## Remarks

RAM cost: 4 GB

Attempts to upgrade the specified Bladeburner skill the specified number of times.

Returns true if the skill is successfully upgraded, and false otherwise.

